<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">


	<!-- External CSS Link -->
	<!-- <link rel="stylesheet" type="text/css" href="index.css"> -->

	<!-- Bootstrap Link -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">



	<title>Bootstrap Grid System</title>
</head>
<body class="text-center">

	<h1>Bootstrap Grid System </h1>

	<h2>Two Columns</h2>
	<div class="container-fluid">

		<!-- Row with two equal columns -->
		<h3>1:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">
				6 col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">
				6 col
			</div>
		</div>
		<!-- Row with two column divided in 1:2 ratio -->
		<h3>1:2 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				4 col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-8">
				8 col
			</div>
		</div>

		<!-- Row with two column divided in 1:3 ratio -->

		<h3>1:3 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-9">
				9 col
			</div>
		</div>


		<h2>Three Columns</h2>
		<h3>1:1:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				4 col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">
				4 col
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				4 col
			</div>
		</div>


		<h3>1:2:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">
				6 col
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 col
			</div>
		</div>

		<h3>Uneven Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-7">
				7 col
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-2">
				2 col
			</div>
		</div>
	</div>


	<h2>Automatic Sizing</h2>
	<div class="container-fluid">
		<div class="row text-light">

			<div class="bg-primary pt-3 pb-3 border border-dark col">
				Auto
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">
				Auto
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">
				Auto
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">
				Auto
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">
				Auto
			</div>
		</div>
	</div>



	<div class="container-fluid">
		<h3>Mobile Responsive Columns</h3>
		<div class="row text-light">
			<!-- small screen will stack columns -->
			<div class="bg-primary pt-3 pb-3 border border-dark col-sm-2">
				Responsive
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-10 ">
				Responsive
			</div>
		</div>

		<h3>Multi-Column Layouts</h3>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				Column 1
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4 ">
				Column 2
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4 ">
				Column 3
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4 ">
				Column 4
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">
				Column 5
			</div>
			<div class="bg-primary  pt-3 pb-3 border border-dark col-4">
				Column 6
			</div>
		</div>

		<h3>Offsetting Columns</h3>
		<div class="text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-2">
				Offset Column
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-md-3">
				Offset Column
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-lg-4">
				Offset Column
			</div>
		</div>

		<h3>Column Orders</h3>
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6 order-md-last">
				Left
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6 order-md-first">
				Right
			</div>
			
		</div>


	</div>

	</div>



	<!-- Bootstrap Scripts -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

</body>
</html>